- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreAnimationTrack.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSimpleSpline.h"`
`#include "OgreRotationalSpline.h"`
`#include "OgreKeyFrame.h"`
`#include "OgreAnimable.h"`
`#include "OgrePose.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::TimeIndex
| Time index object used to search keyframe at the given position. More...
class | Ogre::AnimationTrack
| A 'track' in an animation sequence, ie a sequence of keyframes which affect a certain type of animable object. More...
class | Ogre::NumericAnimationTrack
| Specialised AnimationTrack for dealing with generic animable values. More...
class | Ogre::NodeAnimationTrack
| Specialised AnimationTrack for dealing with node transforms. More...
struct | Ogre::NodeAnimationTrack::Splines
class | Ogre::VertexAnimationTrack
| Specialised AnimationTrack for dealing with changing vertex position information. More...
## Enumerations
enum | Ogre::VertexAnimationType { Ogre::VAT_NONE = 0, Ogre::VAT_MORPH = 1, Ogre::VAT_POSE = 2 }
| Type of vertex animation. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:57 2008